## org.apache.jasper.compiler
Class Node

    java.lang.Object
      org.apache.jasper.compiler.Node

Direct Known Subclasses:
  Node.Comment, Node.CustomTag, Node.FallBackAction, Node.ForwardAction, Node.GetProperty, Node.IncludeAction, Node.IncludeDirective, Node.JspText, Node.PageDirective, Node.ParamAction, Node.ParamsAction, Node.PlugIn, Node.Root, Node.ScriptingElement, Node.SetProperty, Node.TaglibDirective, Node.TemplateText, Node.UninterpretedTag, Node.UseBean

public abstract class Node
extends java.lang.Object

An internal data representation of a JSP page or a JSP docuement (XML). Also included here is a visitor class for tranversing nodes.

Author:
  Kin-man Chung, Jan Luehe

Nested Class Summary
`static class` `Node.Comment` Represents a Jsp comment Comments are kept for completeness.
`static class` `Node.CustomTag` Represents a custom tag
`static class` `Node.Declaration` Represents a declaration
`static class` `Node.Expression` Represents an expression.
`static class` `Node.FallBackAction` Represents a fallback action
`static class` `Node.ForwardAction` Represents a forward action
`static class` `Node.GetProperty` Represents a getProperty action
`static class` `Node.IncludeAction` Represents an include action
`static class` `Node.IncludeDirective` Represents an include directive
`static class` `Node.JspAttribute` Represents attributes that can be request time expressions.
`static class` `Node.JspRoot` Represents the root of a Jsp document (XML syntax)
`static class` `Node.JspText` Represents the body of a element
`static class` `Node.Nodes` An ordered list of Node, used to represent the body of an element, or a jsp page of jsp document.
`static class` `Node.PageDirective` Represents a page directive
`static class` `Node.ParamAction` Represents a param action
`static class` `Node.ParamsAction` Represents a params action
`static class` `Node.PlugIn` Represents a plugin action
`static class` `Node.Root` Represents the root of a Jsp page or Jsp document
`static class` `Node.ScriptingElement` Represents an expression, declaration, or scriptlet
`static class` `Node.Scriptlet` Represents a scriptlet
`static class` `Node.SetProperty` Represents a setProperty action
`static class` `Node.TaglibDirective` Represents a custom taglib directive
`static class` `Node.TemplateText` Represents a template text string
`static class` `Node.UninterpretedTag` Represents an uninterpreted tag, from a Jsp document
`static class` `Node.UseBean` Represents a useBean action
`static class` `Node.Visitor` A visitor class for visiting the node.

Field Summary
`protected org.xml.sax.Attributes` `attrs`
`protected int` `beginJavaLine`
`protected Node.Nodes` `body`
`protected int` `endJavaLine`
`protected Node` `parent`
`protected Mark` `startMark`
`protected char[]` `text`

Constructor Summary
`Node(org.xml.sax.Attributes attrs, Mark start, Node parent)` Constructor.
`Node(char[] text, Mark start, Node parent)`
`Node(Mark start, Node parent)` Constructor.

Method Summary
`org.xml.sax.Attributes` `getAttributes()`
`java.lang.String` `getAttributeValue(java.lang.String name)`
`int` `getBeginJavaLine()`
`Node.Nodes` `getBody()`
`int` `getEndJavaLine()`
`Node` `getParent()`
`Mark` `getStart()`
`char[]` `getText()`
`boolean` `isXmlSyntax()`
`void` `setAttributes(org.xml.sax.Attributes attrs)`
`void` `setBeginJavaLine(int begin)`
`void` `setBody(Node.Nodes body)`
`void` `setEndJavaLine(int end)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attrs

    protected org.xml.sax.Attributes attrs

### body

    protected Node.Nodes body

### text

    protected char[] text

### startMark

    protected Mark startMark

### beginJavaLine

    protected int beginJavaLine

### endJavaLine

    protected int endJavaLine

### parent

    protected Node parent

Constructor Detail

### Node

    public Node(Mark start,
                Node parent)

  Constructor.

Parameters:
  `start` - The location of the jsp page
  `parent` - The enclosing node

### Node

    public Node(org.xml.sax.Attributes attrs,
                Mark start,
                Node parent)

  Constructor.

Parameters:
  `attrs` - The attributes for this node
  `start` - The location of the jsp page
  `parent` - The enclosing node

### Node

    public Node(char[] text,
                Mark start,
                Node parent)

Method Detail

### getAttributes

    public org.xml.sax.Attributes getAttributes()

### setAttributes

    public void setAttributes(org.xml.sax.Attributes attrs)

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String name)

### getBody

    public Node.Nodes getBody()

### setBody

    public void setBody(Node.Nodes body)

### getText

    public char[] getText()

### getStart

    public Mark getStart()

### getParent

    public Node getParent()

### getBeginJavaLine

    public int getBeginJavaLine()

### setBeginJavaLine

    public void setBeginJavaLine(int begin)

### getEndJavaLine

    public int getEndJavaLine()

### setEndJavaLine

    public void setEndJavaLine(int end)

### isXmlSyntax

    public boolean isXmlSyntax()

  Returns:
    true if the current page is in xml syntax, false otherwise.

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.